Skip to main content
PATCH
/
organizations
/
{orgId}
/
faqs
/
{id}
Update FAQ
curl --request PATCH \
  --url https://api.helloannie.com/v1/organizations/{orgId}/faqs/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "content": "<string>",
  "botIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "content": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "botIds": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ]
  }
}

Path Parameters

orgId
string<uuid>
required

The ID of the organization

faqId
string<uuid>
required

The ID of the FAQ to update

Body

Fields that can be updated on an existing FAQ

title
string

The title of the FAQ

content
string

The content/answer of the FAQ

botIds
string<uuid>[]

Array of bot IDs to attach this FAQ to

Response

Response returned after updating an FAQ

success
enum<boolean>
required
Available options:
true
data
object
required

Represents a single FAQ entry and its bot associations